package com.staffing.common.core.domain;

public class WxPhone {
    private int errcode;//有效期 秒
    private String errmsg;//有效期 秒
    private PhoneInfo phone_info;//有效期 秒


    static class PhoneInfo{
        String phoneNumber;
        String purePhoneNumber;
        int countryCode;
        Watermark watermark;

        public String getPhoneNumber() {
            return phoneNumber;
        }

        public void setPhoneNumber(String phoneNumber) {
            this.phoneNumber = phoneNumber;
        }

        public String getPurePhoneNumber() {
            return purePhoneNumber;
        }

        public void setPurePhoneNumber(String purePhoneNumber) {
            this.purePhoneNumber = purePhoneNumber;
        }

        public int getCountryCode() {
            return countryCode;
        }

        public void setCountryCode(int countryCode) {
            this.countryCode = countryCode;
        }

        public Watermark getWatermark() {
            return watermark;
        }

        public void setWatermark(Watermark watermark) {
            this.watermark = watermark;
        }
    }

    static class Watermark{
        int timestamp;
        String appid;
    }

    private String access_token;
    private int expires_in;//有效期 秒

    private long expiresTime;//到期时间


    public int getErrcode() {
        return errcode;
    }

    public void setErrcode(int errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    public PhoneInfo getPhone_info() {
        return phone_info;
    }

    public void setPhone_info(PhoneInfo phone_info) {
        this.phone_info = phone_info;
    }

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public int getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(int expires_in) {
        this.expires_in = expires_in;
    }

    public long getExpiresTime() {
        return expiresTime;
    }

    public void setExpiresTime(long expiresTime) {
        this.expiresTime = expiresTime;
    }

    public String getPhoneNumber() {
        return this.phone_info.phoneNumber;
    }


    public String getPurePhoneNumber() {
        return this.phone_info.purePhoneNumber;
    }



}
